%define Uname MgaRepo
Name: mgarepo
Version: 1.10.2
Release: %mkrel 1
Summary: Tools for Mageia repository access and management
Group: Development/Other
Source: http://distrib-coffee.ipsl.jussieu.fr/pub/linux/Mageia/software/%{name}/%{name}-%{version}.tar.bz2
License: GPLv2+
URL: http://svn.mageia.org/soft/build_system/mgarepo/
Requires: python-cheetah subversion openssh-clients python-rpm
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildRequires: python-devel
Requires: python-httplib2
Requires: wget

%description
Tools for Mageia repository access and management.

It is a fork of repsys :
<http://wiki.mandriva.com/en/Development/Packaging/Tools/repsys>

%package ldap
Group: Development/Other
Summary: Mgarepo plug-in to retrieve maintainer information from LDAP
Requires: mgarepo
Requires: python-ldap

%description ldap
A mgarepo plugin that allows retrieving maintainer information shown in
changelogs from a LDAP server. 

See %{name} --help-plugin ldapusers for more information. Also see
http://qa.mandriva.com/show_bug.cgi?id=30549

%prep
%setup -q

%build
python setup.py build

%install
rm -rf %{buildroot}

python setup.py install --root=%{buildroot}
# Using compile inline since niemeyer's python macros still not available on mdk rpm macros
find %{buildroot}%{py_puresitedir} -name '*.pyc' -exec rm -f {} \; 
python -c "import sys, os, compileall; br='%{buildroot}'; compileall.compile_dir(sys.argv[1], ddir=br and 
(sys.argv[1][len(os.path.abspath(br)):]+'/') or None)" %{buildroot}%{py_sitedir}

mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_datadir}/%{name}/
mkdir -p %{buildroot}%{_bindir}/
install -m 0755 create-srpm %{buildroot}%{_datadir}/%{name}/create-srpm
install -m 0755 %{name}-ssh %{buildroot}%{_bindir}/%{name}-ssh
install -m 0644 %{name}.conf %{buildroot}%{_sysconfdir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES %{name}-example.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}
%{_bindir}/%{name}-ssh
%{_datadir}/%{name}
%{_mandir}/*/*
%{python_sitelib}/%{Uname}
%exclude %{python_sitelib}/%{Uname}/plugins/ldapusers.py*
%{python_sitelib}/*.egg-info

%files ldap
%defattr(-,root,root)
%doc README.LDAP
%{python_sitelib}/%{Uname}/plugins/ldapusers.py*



%changelog

* Thu Nov 24 2011 boklm <boklm> 1.10.2-1.mga2
+ Revision: 171653
- version 1.10.2
- add require on wget
- version 1.10.1
- fix require on python-httplib
- add require on httplib2
- add python-devel as build require
- version 1.10.0

* Tue Jul 12 2011 boklm <boklm> 1.9.11-1.mga2
+ Revision: 123440
- Version 1.9.11: add maintdb command

  + ahmad <ahmad>
    - Fix the URL tag

* Wed May 25 2011 boklm <boklm> 1.9.10-1.mga1
+ Revision: 100367
- version 1.9.10

  + misc <misc>
    - add source url
    - remove requires on python-devel ( should not be needed )
    - do not add version requires on mgarepo ( as all version should be ok )
    - fix missing defattr on ldap plugin ( rpmlint )

* Thu Mar 10 2011 misc <misc> 1.9.9-2.mga1
+ Revision: 67691
- fix License
- use newer and upstream python macros
- clean the spec by removing mention of old mandriva hack
- remove old python macros

* Sat Feb 26 2011 boklm <boklm> 1.9.9-1.mga1
+ Revision: 60148
- version 1.9.9

* Fri Jan 28 2011 boklm <boklm> 1.9.8-1.mga1
+ Revision: 42505
- version 1.9.8

* Thu Jan 27 2011 boklm <boklm> 1.9.7-1.mga1
+ Revision: 42188
- version 1.9.7

* Mon Jan 17 2011 blino <blino> 1.9.6-2.mga1
+ Revision: 20916
- rebuild with new python

* Thu Jan 13 2011 boklm <boklm> 1.9.6-1.mga1
+ Revision: 7984
- version 1.9.6

* Wed Jan 12 2011 blino <blino> 1.9.5-1.mga1
+ Revision: 6829
- install as mgarepo, not repsys
- do not conflict with repsys anymore
- 1.9.5

  + boklm <boklm>
    - mgarepo version 1.9.4
    - add conflict with repsys
    - cleaning
    - repsys package renamed to mgarepo
    - version 1.9.2

  + misc <misc>
    - remove rest of Mandriva reference

* Tue Jan 04 2011 boklm <boklm> 1:1.9.1-1mdv2010.0
+ Revision: 120
- version 1.9.1
- version 1.9
- add patch from blino to enable binrepo in create-srpm
- imported package repsys

